# 32/64bit spec
#
Summary:	Configuration settings manager for Xfce
Summary(de):	Einstellungsmanager für Xfce
Name:		xfce4-settings
Version:	4.12.0
Release:	%mkrel 3
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		http://www.xfce.org
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.xz
Source1:	xfce-settings-manager.desktop
Source2:	xfce4-settings-editor.desktop
Source3:	xsettings.xml
Source4:	xfce4-settings.png
#----------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}exo-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}garcon-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}notify-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}upower-glib-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xcursor-devel
BuildRequires: %{_lib}xfce4ui-devel
BuildRequires: %{_lib}xi-devel
BuildRequires: %{_lib}xklavier-devel
BuildRequires: %{_lib}xrandr2-devel
BuildRequires: %{_lib}xrender-devel
BuildRequires: libxfce4util-devel
BuildRequires: xfce4-dev-tools
BuildRequires: xfconf-devel
BuildRequires: gettext-devel
BuildRequires: libpthread-stubs
#BuildRequires: x11-driver-input-libinput-devel
#----------------------------------------
Requires:	garcon
Provides:	xfce-mcs-manager
Provides:	xfce-mcs-plugins
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Configuration settings manager for Xfce desktop environment.

%description -l de
Einstellungsmanager zum Konfigurieren des Xfce Desktops


%package doc
Summary: 	Documentation for %{name}
Summary(de):	Dokumentation für %{name}
Group: 		Documentation
Requires: 	%{name}

%description doc
Documentation for %{name}

%description doc -l de
Dokumentation für %{name}

%prep
%setup -q


%build

./autogen.sh --prefix=/usr --libdir=%{_libdir} \
	--enable-sound-settings \
	--enable-libnotify \
	--enable-xcursor \
	--enable-libxklavier \
	--enable-pluggable-dialogs \
	--sysconfdir=%{_sysconfdir} \
	--disable-xorg-libinput \
	--enable-upower-glib \
	--enable-xrandr

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

install -m 0644 %SOURCE1 %{buildroot}%{_datadir}/applications/xfce-settings-manager.desktop
install -m 0644 %SOURCE2 %{buildroot}%{_datadir}/applications/xfce4-settings-editor.desktop
install -m 0644 %SOURCE3 %{buildroot}%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 0644 %SOURCE4 %{buildroot}%{_datadir}/pixmaps/xfce4-settings.png

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml
%{_sysconfdir}/xdg/autostart/xfsettingsd.desktop
%{_sysconfdir}/xdg/menus/xfce-settings-manager.menu
%{_bindir}/xfce4-*settings*
%{_bindir}/xfsettingsd
%{_datadir}/applications/*.desktop
%{_datadir}/locale
%{_datadir}/pixmaps/xfce4-settings.png
%{_iconsdir}/hicolor/*/devices/*.png
%{_libdir}/xfce4/settings/appearance-install-theme

%files doc
%defattr(-,root,root)
%doc AUTHORS NEWS TODO README

%changelog
* Sun Apr 03 2016 bb <bb> 4.12.0-3pclos2016
- rebuild against backported upower

* Fri Apr 01 2016 bb <bb> 4.12.0-2pclos2016
- rebuild for new upower

* Sun Mar 01 2015 ghostbunny <ghostbunny at gmx dot de> 4.12.0-1pclos2015
- 4.12.0
- add BR x11-driver-input-libinput-devel

* Tue Feb 25 2014 ghostbunny <ghostbunny at gmx dot de> 4.11.2-1pclos2014
- 4.11.2

* Fri Jan 03 2014 bb <bb> 4.11.1-2pclos2014
- add --libdir to build option so autogen.sh put libraries in proper place
- change rpmgroup Documentation for doc package
- clean up BR

* Fri Dec 27 2013 ghostbunny <ghostbunny at gmx dot de> 4.11.1-1pclos2014
- 4.11.1
- add upower support
- fix BRs

* Sun May 05 2013 ghostbunny <ghostbunny at gmx dot de> 4.10.1-1pclos2012
- 4.10.1

* Mon Sep 24 2012 Neal <nealbrks0 at gmail dot com> 4.10.0-2pclos2012
- rebuild

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 4.10.0-1pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 4.10.0-1pclos2012
- process

* Tue Aug 29 2012 ghostbunny <ghostbunny at gmx dot de> 4.10.0-1pclos2012
- 4.10.0
- added german summaries and descriptions
- fixed English summary of the doc package ("Documentation for openbox"??? -> "Documentation for %{name}")
- fixed files section

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 4.9.0-1pclos2012
- update

* Thu Oct 13 2011 Sproggy <desproggster at gmail.com> 4.8.1-1phinx2011
- Update
